.tg.nav
	padding-left: (14 * $grid) // rounded up width of logo plus margins
	margin: ($grid * 2) $grid 0
	z-index: 9

	+respond-to(large)
		margin-top: $grid
		padding-left: 0

	> ul // 1
		@extend %navigation
		display: table
		float: right

		+respond-to(large)
			float: none
			margin: 0 auto

		+respond-to(medium)
			display: block

		> li // same as .tg.nav_item, but needed here for override
			display: table-cell
			float: none
			vertical-align: top
			white-space: nowrap

	&.-has-search > ul
		width: 100%

	+respond-to(medium) // 2
		+off-canvas

	a
		@extend %link

.tg.nav_item
	&.-has-dropdown

		+respond-to(medium)
			padding: ($grid / 2) 0

	&.-search
		width: 99% // fill up available space
